#### The first time, install dependencies :

    npm i

#### To start the application :

    npm start

The application is accessible at this location : http://localhost:8082

When code is changed, it's automatically built and the web page refresh by its own (thanks webpack dev server).

#### Install the following vs-code extensions :

    - https://marketplace.visualstudio.com/items?itemName=dbaeumer.vscode-eslint
    - "Prettier - Code formatter" extention (Author : Esben Petersen)


#### VPS publishing

When working in a VPS environment, your personal VPS expect to find the Portal compiled sources in a local diretory inside the web hosting VPS infrascructure.

IMPORTANT: To be able to serve NG onn your VPS you need to "syncAndBuild" both app-js and core-js

To achieve this you must run this command inside the root of your local checkout of app-js, and core-js, in turn (build order is not important):

    // inside app-js:
    ./syncAndBuild.sh <vps-prefix>

    // and then inside core-js:
    ./syncAndBuild.sh <vps-prefix>

If your vps is "dev-jdoe.jmapcloud.io" then you should run:

    ./syncAndBuild.sh dev-jdoe

after build, your compiled portal would be accessible at https://ng.dev-jdoe.jmapcloud.io/
